#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

while true
  puts"ここからはお正月の豆知識を紹介するよ!"
  sleep(3)

  puts"まず1つ目は..."
  sleep(2)
  puts"お年玉の由来です。"
  sleep(2)
  puts"ここで問題"
  sleep(1)
  puts"この3つのうちでお年玉として渡されていたのはどれでしょう"
  sleep(2)
  puts"1和菓子"
  sleep(1)
  puts"2着物"
  sleep(1)
  puts"3餅"
  dw=gets.to_i
  if dw==1
    puts"残念"
    puts"答えは3番だよ"
  elsif dw==2
    puts"残念"
    puts"答えは3番だよ"
  elsif  dw==3
    puts"正解!!"
    puts"答えは3番の餅だよ"
  end
  sleep(1)
  puts"次はおみくじの起源の問題だよ!!"
  sleep(2)
  puts"今から出る3つの中から選んでね!!"
  puts"1平安時代"
  puts"2奈良時代"
  puts"3安土・桃山時代"
  cw=gets.to_i
  if cw==1
    puts"おめでとう"
    puts"正解だよ!!"
  elsif cw==2
    puts"残念"
    puts"答えは1の平安時代だよ。"
  elsif cw==3
    puts"残念"
    sleep(2)
    puts"答えは1の平安時代だよ"
  end
  sleep(2)
  print"もう一度やりますか?(やるかやらないか)" 
  mouitido=gets.chomp
  if mouitido=="やる"
    redo

  elsif mouitido=="やらない"



    break
    sleep(2)
    puts"ありがとうございました"
  end
end
